%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-readdirp
Version:    2.0.0
Release:    2%{?dist}
Summary:    Recursive version of Node's fs.readdir with a streaming API
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/thlorenz/readdirp
Source0:    http://registry.npmjs.org/readdirp/-/readdirp-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(graceful-fs)
BuildRequires:  npm(minimatch)
BuildRequires:  npm(tap)
BuildRequires:  npm(through)
%endif

%description
%{summary}.


%prep
%setup -q -n package

%nodejs_fixdep minimatch

%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/readdirp
cp -pr package.json readdirp.js stream-api.js \
    %{buildroot}%{nodejs_sitelib}/readdirp

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__tap test/*.js
%endif


%files
%doc README.md examples/
%license LICENSE
%{nodejs_sitelib}/readdirp


%changelog
* Thu Dec 17 2015 Troy Dawson <tdawson@redhat.com> - 2.0.0-2
- Fix dependencies

* Wed Dec 16 2015 Troy Dawson <tdawson@redhat.com> - 2.0.0-1
- Update to 2.0.0

* Sat Apr 26 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.0-1
- update to upstream release 0.4.0

* Sun Mar 02 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.3-1
- initial package
